## com.imcode.imcms.servlet.tags
Class IncludeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.imcode.imcms.servlet.tags.SimpleImcmsTag
              com.imcode.imcms.servlet.tags.IncludeTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class IncludeTag

extends SimpleImcmsTag

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.imcode.imcms.servlet.tags.SimpleImcmsTag
`attributes`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`IncludeTag()`

Method Summary
`protected java.lang.String` `getContent(TagParser tagParser)`
`void` `setDocument(java.lang.String documentId)`
`void` `setFile(java.lang.String filename)`
`void` `setPath(java.lang.String path)`
`void` `setUrl(java.lang.String url)`

Methods inherited from class com.imcode.imcms.servlet.tags.SimpleImcmsTag
`doStartTag, setLabel, setNo, setPost, setPre`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeTag

    public IncludeTag()

Method Detail

### getContent

    protected java.lang.String getContent(TagParser tagParser)

  Specified by:
    `getContent` in class `SimpleImcmsTag`

### setPath

    public void setPath(java.lang.String path)

### setUrl

    public void setUrl(java.lang.String url)

### setDocument

    public void setDocument(java.lang.String documentId)

### setFile

    public void setFile(java.lang.String filename)